Version 0.22.0 released

Announcements about new releases and updates.
dkl
Site Admin
Posts: 3195
Joined: Jul 28, 2005 14:45
Location: Germany

Version 0.22.0 released

Postby dkl » May 08, 2011 1:53

This is it! Maybe the last FB release without inheritance?

It's OK to say it: 0.22.0 could have been called 0.21.2 if it weren't for a couple tiny new features that are being added (check the changelog!), but most importantly, it comes with many bug fixes, on both frontiers: the compiler & runtime, and the build & packaging.

Plus, the FB manual has seen some updates and corrections since 0.21, too.

0.22.0 Compiler Downloads
0.22.0 Documentation Downloads
0.22.0 Source Code


All the downloads are hosted over at SourceForge.


Installation hints for the .deb packages

These binary .deb packages neither are official Debian packages, nor do they meet the requirements for proper Debian packages. They will install FB into /usr.

In case you have a standalone FB installation installed into /usr/bin/fbc and /usr/share/freebasic/, it should be removed before installing the .deb (otherwise /usr/bin/fbc will be overwritten by the one from the .deb). To uninstall the standalone FB, the install-standalone.sh script can be invoked via ./install-standalone.sh -u (typically requires super user/root access rights).

In case you have an FB installation in /usr/local, you may want to uninstall it, because /usr/local typically takes precedence over /usr when binaries like fbc are searched. To uninstall FB from /usr/local, the install.sh script from the FreeBASIC .tar.gz package can be invoked via ./install.sh -u (typically requires super user/root access rights).

In Ubuntu you can install the .deb package by double-clicking on it. (or right-click, then Open With Ubuntu Software Center)

In Debian (and older Ubuntus) you can use the "GDebi Package Installer", which you can get by installing the "gdebi" package via the Synaptic Package Manager, or with 'apt-get install gdebi'. gdebi-gtk is the graphical front-end for GDebi, you can right-click the .deb and select "Open With Other Application...", then "Use a custom command" and enter "gdebi-gtk".

Installation via console can be done with:
dpkg --install freebasic_0.22.0-2_i386.deb

which may require a further step to download missing dependencies:
apt-get -f install


The Ubuntu amd64 package depends on getlibs, which is used to download 32bit libraries that are needed to build FB graphics programs. You can get the getlibs installation .deb from here:
http://ubuntuforums.org/showthread.php?t=474790

The .deb's are provided in the hopes to make the installation easier -- but in the end it's not our job to package FB for each distro. If anyone makes other installation packages, for example an .rpm, or a 0.22.0 build for FreeBSD for example, I'd be happy to upload it to SourceForge and add links to it.
Last edited by dkl on Jun 01, 2011 14:27, edited 1 time in total.
dkl
Site Admin
Posts: 3195
Joined: Jul 28, 2005 14:45
Location: Germany

Postby dkl » May 21, 2011 17:17

Updated .deb's: Besides better lintian compliance, the amd64 .deb package has been
split into two, one for Debian and one for Ubuntu.

1) The Debian one now without the need for getlibs (the 32bit X libraries
are retrieved from ia32-libs-dev already)

2) The Ubuntu one now without the dependency on ia32-libs-dev,
which is apparently not available there.
dkl
Site Admin
Posts: 3195
Joined: Jul 28, 2005 14:45
Location: Germany

Postby dkl » Jun 01, 2011 14:28

Updated Windows and DOS downloads:
The included headers now have proper CRLF line endlings.
The Windows installer will now show an error in case it fails to install files.

Return to “News”

Who is online

Users browsing this forum: No registered users and 1 guest